AbstractPredicateImpl (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.ejb.criteria.predicate
Class AbstractPredicateImpl

    java.lang.Object
      org.hibernate.ejb.criteria.AbstractNode
          org.hibernate.ejb.criteria.expression.AbstractTupleElement<X>
              org.hibernate.ejb.criteria.expression.SelectionImpl<T>
                  org.hibernate.ejb.criteria.expression.ExpressionImpl<Boolean>
                      org.hibernate.ejb.criteria.predicate.AbstractPredicateImpl

All Implemented Interfaces:
  Serializable, Expression<Boolean>, Predicate, Selection<Boolean>, TupleElement<Boolean>, ExpressionImplementor<Boolean>, ParameterContainer, Renderable, SelectionImplementor<Boolean>, TupleElementImplementor<Boolean>

Direct Known Subclasses:
  AbstractSimplePredicate, CompoundPredicate

    public abstract class AbstractPredicateImpl

extends ExpressionImpl<Boolean>
implements Predicate, Serializable

Basic template support for `Predicate` implementors providing expression handling, negation and conjunction/disjunction handling.

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from interface javax.persistence.criteria.Predicate
`Predicate.BooleanOperator`

Nested classes/interfaces inherited from interface org.hibernate.ejb.criteria.ParameterContainer
`ParameterContainer.Helper`

Constructor Summary
`protected` | `AbstractPredicateImpl(CriteriaBuilderImpl criteriaBuilder)`

Method Summary
`List<Selection<?>>` | `getCompoundSelectionItems()`
`boolean` | `isCompoundSelection()`
`boolean` | `isNegated()`
`Predicate` | `not()`

Methods inherited from class org.hibernate.ejb.criteria.expression.ExpressionImpl
`as, asBigDecimal, asBigInteger, asDouble, asFloat, asInteger, asLong, asString, in, in, in, in, isNotNull, isNull`

Methods inherited from class org.hibernate.ejb.criteria.expression.SelectionImpl
`alias, getValueHandlers`

Methods inherited from class org.hibernate.ejb.criteria.expression.AbstractTupleElement
`forceConversion, getAlias, getJavaType, getValueHandler, resetJavaType, setAlias`

Methods inherited from class org.hibernate.ejb.criteria.AbstractNode
`criteriaBuilder`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.persistence.criteria.Predicate
`getExpressions, getOperator`

Methods inherited from interface javax.persistence.criteria.Expression
`as, in, in, in, in, isNotNull, isNull`

Methods inherited from interface javax.persistence.criteria.Selection
`alias`

Methods inherited from interface javax.persistence.TupleElement
`getAlias, getJavaType`

Methods inherited from interface org.hibernate.ejb.criteria.SelectionImplementor
`getValueHandlers`

Methods inherited from interface org.hibernate.ejb.criteria.TupleElementImplementor
`getValueHandler`

Methods inherited from interface org.hibernate.ejb.criteria.Renderable
`render, renderProjection`

Methods inherited from interface org.hibernate.ejb.criteria.ParameterContainer
`registerParameters`

Constructor Detail

### AbstractPredicateImpl

    protected AbstractPredicateImpl(CriteriaBuilderImpl criteriaBuilder)

Method Detail

### isNegated

    public boolean isNegated()

  Specified by:
    `isNegated` in interface `Predicate`

### not

    public Predicate not()

  Specified by:
    `not` in interface `Predicate`

### isCompoundSelection

    public final boolean isCompoundSelection()

  Specified by:
    `isCompoundSelection` in interface `Selection<Boolean>`
  Overrides:
    `isCompoundSelection` in class `SelectionImpl<Boolean>`

### getCompoundSelectionItems

    public final List<Selection<?>> getCompoundSelectionItems()

  Specified by:
    `getCompoundSelectionItems` in interface `Selection<Boolean>`
  Overrides:
    `getCompoundSelectionItems` in class `SelectionImpl<Boolean>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.